Bug 1129213 - Unable to add group via RESTAPI - ClassCastException
Summary: Unable to add group via RESTAPI - ClassCastException
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On: 1127623
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 10:29 UTC by Ondra Machacek
Modified: 2016-02-10 19:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:40:18 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine.log (14.71 KB, text/x-log)
2014-08-12 10:29 UTC, Ondra Machacek
no flags Details

Description Ondra Machacek 2014-08-12 10:29:22 UTC
Created attachment 926019 [details]
engine.log

Description of problem:


Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. add domain to engine
2.
curl -k -X POST -H "Accept: application/xml" -H "Content-Type: application/xml" \$
    -u $U -d '<group><name>brq-openldap.rhev.lab.eng.brq.redhat.com/Groups/groupOfUser2</name></group>'  https://$URL:443/api/groups

Actual results:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<fault>
    <reason>Operation Failed</reason>
    <detail>org.ovirt.engine.core.common.queries.searchparameters cannot be cast to org.ovirt.engine.core.common.queries.directorysearchparameters</detail>
</fault>

Expected results:
Success

Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:40:18 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.